[ 
https://issues.apache.org/jira/browse/YARN-4234?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15007208#comment-15007208
 ] 

Li Lu commented on YARN-4234:
-----------------------------

Hi [~xgong], not sure if you've noticed [~sjlee0]'s comments in YATN-4183:

bq. (yarn.timeline-service.version)
bq. I'd like to point out an interesting possibility raised in another JIRA by 
Joep Rottinghuis. With v.2 and especially early on with v.2, it would be rather 
useful to be able to enable both v.1 (or v.1.5) and v.2. That would provide a 
useful verification and comparison environment with a single cluster. The way 
it's being discussed right now, it sounds like the version would be a single 
value (mutually exclusive). Wouldn't it be good to have a possibility to be 
able to enable more than one version? Thoughts?

I think the proposal is still compatible with the current design here, with 
some simple changes on the sanity check side. How about implement this 
proposal? Thanks! 

> New put APIs in TimelineClient for ats v1.5
> -------------------------------------------
>
>                 Key: YARN-4234
>                 URL: https://issues.apache.org/jira/browse/YARN-4234
>             Project: Hadoop YARN
>          Issue Type: Sub-task
>          Components: timelineserver
>            Reporter: Xuan Gong
>            Assignee: Xuan Gong
>         Attachments: YARN-4234-2015-11-13.1.patch, 
> YARN-4234-2015-11-16.1.patch, YARN-4234-20151111.2.patch, YARN-4234.1.patch, 
> YARN-4234.2.patch, YARN-4234.2015-11-12.1.patch, 
> YARN-4234.2015-11-12.1.patch, YARN-4234.20151109.patch, 
> YARN-4234.20151110.1.patch, YARN-4234.20151111.1.patch, YARN-4234.3.patch
>
>
> In this ticket, we will add new put APIs in timelineClient to let 
> clients/applications have the option to use ATS v1.5



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Reply via email to